Bug 782528 - Propose that you turn on PrivateTmp=true in service file for puppet [NEEDINFO]
Propose that you turn on PrivateTmp=true in service file for puppet
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: PrivateTmp
  Show dependency treegraph
Reported: 2012-01-17 10:57 EST by Daniel Walsh
Modified: 2015-02-17 09:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 09:03:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: needinfo?

Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-01-17 10:57:49 EST
I would like to propose using PrivateTmp for puppet systemd unit file
This should make the use of /tmp directory more secure
and avoid users from being able to potentially effect it.

Comment 1 Daniel Walsh 2012-02-06 15:46:03 EST
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.

Thanks for your help.
Comment 2 Todd Zullinger 2012-02-06 15:56:59 EST
Sorry for the delay.  I've not converted puppet to use systemd yet, so it seems like we can close this for now.  Feel free to reopen or file another ticket if we need to track the conversion to systemd.
Comment 3 Rahul Sundaram 2012-02-15 20:20:53 EST
reopenining since it would be useful to track conversion into systemd and use of privatetmp in the same place.
Comment 4 Fedora End Of Life 2013-04-03 15:27:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
Comment 5 Alan Pevec 2013-08-30 05:02:38 EDT
Puppet has systemd service files upstream, has this been proposed there?
Comment 6 Fedora End Of Life 2015-01-09 11:57:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 09:03:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.